//==============================================================================
//  Project:       DC-DC Wandler 
//  Filename:      main.h
//  Version:	   Ver 1.0
//------------------------------------------------------------------------------
//  Description:   
// 
//  Header-File fr main.c 
// 
//  IAR Embedded Workbench Target Descriptor MSP430 Version: 3.42A/WIN
//==============================================================================
//  History:
//  24.08.07    Ver 1.0
//==============================================================================

#ifndef _main
#define _main
/********************************************************************/

#include <msp430x12x2.h>
#include "global_defs.h"
#include "global_vars.h"

// Zur bersichtlichkeit werden in der Statemachine Funktionsaufrufe benutzt.
// Diese Funktionen sollen aber beim Compilieren direkt in die Staemachine
// eingesetzt werden, ohne einen Funktionsaufruf!

#pragma inline = forced
void Init_System (void);

#pragma inline = forced
void Set_DCO (void);

#pragma inline = forced
void Prepare_Led_Control (void);

#pragma inline = forced
void Re_Enter_Led_Control (void);

#pragma inline = forced
void Led_Control (void);

#pragma inline = forced
char Check_Batt_Voltage_Run (void);

#pragma inline = forced
unsigned int Check_Batt_Voltage_Sleep (void);

#pragma inline = forced
char Check_Solar_Voltage_Run (void);

#pragma inline = forced
void Check_Solar_Voltage_Sleep (unsigned int BattVoltage);

#pragma inline = forced
void Enter_Sleep_Mode (void);


extern volatile unsigned int    DCO_Timeout;
extern volatile unsigned int    WDT_Timer;
extern volatile unsigned int    Charge_Timer;
extern volatile unsigned int    SystemFlags;

/********************************************************************/
#endif /* #ifndef __main */
